Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class OracleTypeMapEntries

`java.lang.Object
oracle.jbo.common.JboTypeMapEntries
oracle.jbo.common.OracleTypeMapEntries`

Direct Known Subclasses:
  OracleTypeMapEntries

public class OracleTypeMapEntries
extends JboTypeMapEntries

Populates Oracle-database specific TypeMap Entries for BC4J Designtime and Runtime to map a Database column type to a java-class type and also to jdbc-sqltype and id. The entries should be: COLUMN_TYPE - column type in the database JAVA_CLASS_NAME - Java class which should store in-memory data from the given column-type JDBC_SQL_TYPE - Name of the jdbc sql type id that the subsequent integer-entry represents. JDBC_SQL_TYPE_ID - Integer value from java.sql.Types or a corresponding Types list in jdbc. DISPLAY_LENGTH - Default size for various String/Character types. NUMERIC_TYPE - If this type could handle Precision/Scale validator.

Since:
  JDeveloper 3.2

Constructor Summary
`OracleTypeMapEntries()`

Method Summary
`boolean` | `convertValue(java.lang.Class toClass, java.lang.Class valClass, java.lang.Object[] valArr, int opId)`
`com.sun.java.util.collections.ArrayList` | `getDomainsWithNoXMLFactory()`
`void` | `populateConversion(com.sun.java.util.collections.HashMap convMap)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OracleTypeMapEntries

    public OracleTypeMapEntries()

Method Detail

### populateConversion

    public void populateConversion(com.sun.java.util.collections.HashMap convMap)

  Overrides:
    `populateConversion` in class `JboTypeMapEntries`

### convertValue

    public boolean convertValue(java.lang.Class toClass,
                                java.lang.Class valClass,
                                java.lang.Object[] valArr,
                                int opId)

  Overrides:
    `convertValue` in class `JboTypeMapEntries`

### getDomainsWithNoXMLFactory

    public com.sun.java.util.collections.ArrayList getDomainsWithNoXMLFactory()

  Overrides:
    `getDomainsWithNoXMLFactory` in class `JboTypeMapEntries`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.